Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.output
Class ATermAbstractSyntaxRenderer

    java.lang.Object
      org.mindswap.pellet.output.ATermBaseVisitor
          org.mindswap.pellet.output.ATermBaseRenderer
              org.mindswap.pellet.output.ATermAbstractSyntaxRenderer

All Implemented Interfaces:
  ATermRenderer, ATermVisitor

    public class ATermAbstractSyntaxRenderer

extends ATermBaseRenderer
implements ATermRenderer

A simple implementation to output the terms in OWL abstract syntax.

Author:
  Evren Sirin

Field Summary

Fields inherited from class org.mindswap.pellet.output.ATermBaseVisitor
`OWL_NOTHING, OWL_THING`

Constructor Summary
`ATermAbstractSyntaxRenderer()`

Method Summary
`void` | `visitAll(aterm.ATermAppl term)` Visit the 'all' (allValuesFrom restriction) term.
`void` | `visitAnd(aterm.ATermAppl term)` Visit the 'and' (intersectionOf) term.
`void` | `visitCard(aterm.ATermAppl term)` Visit the 'card' (minCardinality restriction) term.
`void` | `visitHasValue(aterm.ATermAppl term)` Visit the hasValue restriction term.
`void` | `visitList(aterm.ATermList list)` Visit the list structure.
`void` | `visitLiteral(aterm.ATermAppl lit)` Visit the literal term.
`void` | `visitMax(aterm.ATermAppl term)` Visit the 'max' (maxCardinality restriction) term.
`void` | `visitMin(aterm.ATermAppl term)` Visit the 'min' (minCardinality restriction) term.
`void` | `visitNot(aterm.ATermAppl term)` Visit the 'not' (complementOf) term.
`void` | `visitOneOf(aterm.ATermAppl term)` Visit the 'oneOf' term.
`void` | `visitOr(aterm.ATermAppl term)` Visit the 'or' (unionOf) term.
`void` | `visitSelf(aterm.ATermAppl term)` Visit the self restriction term.
`void` | `visitSome(aterm.ATermAppl term)` Visit the 'some' (someValuesFrom restriction) term.
`void` | `visitSubClass(aterm.ATermAppl term)`
`void` | `visitValue(aterm.ATermAppl term)` Visit the nominal term.

Methods inherited from class org.mindswap.pellet.output.ATermBaseRenderer
`getWriter, setWriter, setWriter, visitTerm`

Methods inherited from class org.mindswap.pellet.output.ATermBaseVisitor
`visit`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mindswap.pellet.output.ATermRenderer
`getWriter, setWriter, setWriter`

Methods inherited from interface org.mindswap.pellet.output.ATermVisitor
`visit, visitTerm`

Constructor Detail

### ATermAbstractSyntaxRenderer

    public ATermAbstractSyntaxRenderer()

Method Detail

### visitAnd

    public void visitAnd(aterm.ATermAppl term)

  Description copied from interface: `ATermVisitor`
  Visit the 'and' (intersectionOf) term.

  Specified by:
    `visitAnd` in interface `ATermVisitor`

### visitOr

    public void visitOr(aterm.ATermAppl term)

  Description copied from interface: `ATermVisitor`
  Visit the 'or' (unionOf) term.

  Specified by:
    `visitOr` in interface `ATermVisitor`

### visitNot

    public void visitNot(aterm.ATermAppl term)

  Description copied from interface: `ATermVisitor`
  Visit the 'not' (complementOf) term.

  Specified by:
    `visitNot` in interface `ATermVisitor`

### visitSome

    public void visitSome(aterm.ATermAppl term)

  Description copied from interface: `ATermVisitor`
  Visit the 'some' (someValuesFrom restriction) term.

  Specified by:
    `visitSome` in interface `ATermVisitor`

### visitAll

    public void visitAll(aterm.ATermAppl term)

  Description copied from interface: `ATermVisitor`
  Visit the 'all' (allValuesFrom restriction) term.

  Specified by:
    `visitAll` in interface `ATermVisitor`

### visitMin

    public void visitMin(aterm.ATermAppl term)

  Description copied from interface: `ATermVisitor`
  Visit the 'min' (minCardinality restriction) term.

  Specified by:
    `visitMin` in interface `ATermVisitor`

### visitMax

    public void visitMax(aterm.ATermAppl term)

  Description copied from interface: `ATermVisitor`
  Visit the 'max' (maxCardinality restriction) term.

  Specified by:
    `visitMax` in interface `ATermVisitor`

### visitCard

    public void visitCard(aterm.ATermAppl term)

  Description copied from interface: `ATermVisitor`
  Visit the 'card' (minCardinality restriction) term. This is not a standard term that ise used inside the reasoner but sometimes used for display purposes. Normally, cardinality restrictions would be stored as a conjunction of min and max restrictions.

  Specified by:
    `visitCard` in interface `ATermVisitor`

### visitLiteral

    public void visitLiteral(aterm.ATermAppl lit)

  Description copied from interface: `ATermVisitor`
  Visit the literal term. The literals are in the form literal(lexicalValue, language, datatypeURI)

  Specified by:
    `visitLiteral` in interface `ATermVisitor`

### visitOneOf

    public void visitOneOf(aterm.ATermAppl term)

  Description copied from interface: `ATermVisitor`
  Visit the 'oneOf' term. This term is in the form or([value(i1),value(i2),...,value(i3)] where i's are individuals or literal constants

  Specified by:
    `visitOneOf` in interface `ATermVisitor`

### visitHasValue

    public void visitHasValue(aterm.ATermAppl term)

  Description copied from interface: `ATermVisitor`
  Visit the hasValue restriction term. This term is in the form some(property,value(individual)) or some(property,value(literal))

  Specified by:
    `visitHasValue` in interface `ATermVisitor`

### visitValue

    public void visitValue(aterm.ATermAppl term)

  Description copied from interface: `ATermVisitor`
  Visit the nominal term. This term is in the form some(property,value(individual))

  Specified by:
    `visitValue` in interface `ATermVisitor`

### visitList

    public void visitList(aterm.ATermList list)

  Description copied from interface: `ATermVisitor`
  Visit the list structure. Lists are found in 'and' and 'or' terms.

  Specified by:
    `visitList` in interface `ATermVisitor`
  Overrides:
    `visitList` in class `ATermBaseVisitor`

### visitSelf

    public void visitSelf(aterm.ATermAppl term)

  Description copied from interface: `ATermVisitor`
  Visit the self restriction term. This is in the form self(p).

  Specified by:
    `visitSelf` in interface `ATermVisitor`

### visitSubClass

    public void visitSubClass(aterm.ATermAppl term)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.